For the latest news and information visit The GNU Crypto project

## javax.crypto.interfaces
Interface DHPrivateKey

All Superinterfaces:
  DHKey, java.security.Key, java.security.PrivateKey, java.io.Serializable

All Known Implementing Classes:
  GnuDHPrivateKey

public interface DHPrivateKey
extends DHKey, java.security.PrivateKey

The interface to a Diffie-Hellman private key.

See Also:
  `DHKey`, `DHPublicKey`

Field Summary

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`java.math.BigInteger` `getX()` Returns the private value, `x`.

Methods inherited from interface javax.crypto.interfaces.DHKey
`getParams`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getX

    public java.math.BigInteger getX()

  Returns the private value, `x`.

  Returns:
    the private value, `x`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.